JRuby compatibility and Travis integration for existing Mongoid 3.0 branch #56

Merged
merged 2 commits into from Jan 15, 2013

Projects

None yet

3 participants

@petergoldstein

I didn't notice the existing Mongoid 3.0.x branch when I submitted my first pull request. So I'm pulling the relevant code over to this branch - namely ensuring that JRuby runs green and adding Travis support.

The Travis matrix is much simpler, as Mongoid 3.0.x only works with Ruby 1.9.3 or JRuby in 1.9 mode. The base repo will still need to be Travis CI enabled, as described here, to get automated CI tests running.

Please let me know if you have any questions. Thanks.

(Resubmitting against the correct base branch)

@rmm5t rmm5t merged commit b445a38 into carrierwaveuploader:mongoid-3.0 Jan 15, 2013
@rmm5t
CarrierWave member

@petergoldstein Thanks for this. I merged it into both the mongoid-3.0 and master branches, but I don't have access to enable Travis on this repository.

You'll have to take that up with @jnicklas.

@jnicklas
CarrierWave member

Travis is now activated. Haven't done anything with it though, so it'll probably require some tweaking.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment